summaryrefslogtreecommitdiff
path: root/test/libapt/run-tests.sh
diff options
context:
space:
mode:
authorMichael Vogt <michael.vogt@ubuntu.com>2010-01-26 15:51:45 +0100
committerMichael Vogt <michael.vogt@ubuntu.com>2010-01-26 15:51:45 +0100
commit51f9f4d78deabf54dbbb6881139d2b1a319ffbfc (patch)
tree60a2bcd8911acd5c4ab8b4558bfd30344b673ff5 /test/libapt/run-tests.sh
parent76fe5db7153957f8fda437e3bd614312b076f19e (diff)
parentc1f168f54be5b4babeb9b91cd7145441ea2489ad (diff)
merge from the mvo branch
Diffstat (limited to 'test/libapt/run-tests.sh')
-rwxr-xr-xtest/libapt/run-tests.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/test/libapt/run-tests.sh b/test/libapt/run-tests.sh
new file mode 100755
index 000000000..365bbe215
--- /dev/null
+++ b/test/libapt/run-tests.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+echo "Compiling the tests ..."
+make
+echo "Running all testcases ..."
+PATH=$(pwd)/../../build/bin
+for testapp in $(/bin/ls ${PATH}/*_libapt_test)
+do
+ echo -n "Testing with \033[1;35m$(/usr/bin/basename ${testapp})\033[0m ... "
+ LD_LIBRARY_PATH=${PATH} ${testapp} && echo "\033[1;32mOKAY\033[0m" || echo "\033[1;31mFAILED\033[0m"
+done